
QGIS Application - Bug report #20147

[edit-in-place] - difference deletes invalid geometries

2018-10-17 11:59 PM - Jan Lippmann

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/QGIS

Affected QGIS version:3.3(master) Regression?: No

Operating System: Win 7 64bit Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27968

Description

the difference alg. deletes selected invalid geometries and the alg do not respect "modify selected features"

option of processing: ignore invalid geoemtries
Associated revisions

Revision 71e2a6be - 2018-10-18 05:43 PM - Alessandro Pasotti 

In-place passthrough for invalid geometries if processing option is to skip invalid

Fixes #20147 - difference deletes invalid geometries

Revision 71e85cc0 - 2018-10-19 10:40 PM - Alessandro Pasotti 

Merge pull request #8231 from elpaso/bugfix-20147-in-place-difference

[in-place][needs-docs] add buffer for polygons and fix #20147 in place difference

History

#1 - 2018-10-18 09:28 AM - Jan Lippmann

Jan Lippmann wrote:

the difference alg. deletes selected invalid geometries and the alg do not respect "modify selected features"

option of processing: ignore invalid geoemtries

the alg respects the selected features which have to modify BUT the alg iterates all features in the edit-layer, for large layers it takes a too long time in

order to modify only one selected feature

#2 - 2018-10-18 10:23 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti
#3 - 2018-10-18 05:49 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/8231

#4 - 2018-10-19 10:40 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|71e2a6be7e5d59d6ee7d137c28754ae527a8465b.
